Package Gnumed :: Package business :: Module gmStaff :: Class gmCurrentProvider |
[frames] | no frames]

# Class gmCurrentProvider

source code

               object --+
                        |
    pycommon.gmBorg.cBorg --+
                            |
                           gmCurrentProvider

Staff member Borg to hold currently logged on provider.

There may be many instances of this but they all share state.

Instance Methods
__init__(self, provider=None) Change or get currently logged on provider. | source code
get_staff(self) | source code
__getitem__(self, aVar) Return any attribute if known how to retrieve it by proxy. | source code
__getattr__(self, attribute) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `pycommon.gmBorg.cBorg`: `__new__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, provider=None) (Constructor) | source code
Change or get currently logged on provider. provider: * None: get copy of current instance * cStaff instance: change logged on provider (role) Overrides: object.__init__